> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai.cc/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Video Content

> Retrieves the video file content for a completed video task.

This interface proxies and returns the video file stream.




## OpenAPI

````yaml api-reference/openapi.json get /v1/videos/{task_id}/content
openapi: 3.0.1
info:
  title: AI model interface
  description: ''
  version: 1.0.0
servers:
  - url: https://api.ai.cc
security:
  - BearerAuth: []
tags:
  - name: Get Model List
  - name: Text completion
  - name: Translator
  - name: OpenAI Chat
  - name: OpenAI Response
  - name: Claude Messages
  - name: Gemini Generate Content
  - name: Video Task
  - name: Sora Video Task
paths:
  /v1/videos/{task_id}/content:
    get:
      tags:
        - Sora Video Task
      summary: Get video content
      description: |
        Retrieves the video file content for a completed video task.

        This interface proxies and returns the video file stream.
      operationId: getVideoContent
      parameters:
        - name: task_id
          in: path
          description: Video Task ID
          required: true
          example: video-abc123
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved video content
          content:
            video/mp4:
              schema:
                type: string
                format: binary
          headers: {}
        '404':
          description: Video does not exist or is incomplete
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  schemas:
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              description: error message
            type:
              type: string
              description: error type
            param:
              type: string
              description: error param
              nullable: true
            code:
              type: string
              description: code
              nullable: true
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        Authentication is done using Bearer Token. 
        Format: `Authorization: Bearer sk-xxxxxx`

````